org.eclipse.actf.model.dom.odf

## Class ODFParser

- java.lang.Object
- - org.eclipse.actf.model.dom.odf.ODFParser

    public class ODFParser
    extends Object

ODFParser is used when parsing ODF documents.

### Constructor Summary

Constructors
Constructor and Description
`ODFParser()`

### Method Summary

Methods
`void` `copyFile(String odfName, String entry, String outputFileName)` Extract and copy file compressed in ODF document.
`ODFDocument` `getDocument(String odfName)` Parses a ODF document and return document interface of "content.xml".
`ODFDocument` `getDocument(String odfName, String xmlName)` Parses a ODF document and return document.
`String[]` `getFileEntries(String odfName)` Returns file name list compressed in ODF document.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ODFParser

    public ODFParser()

### Method Detail

#### getDocument

    public ODFDocument getDocument(String odfName,
                          String xmlName)

Parses a ODF document and return document.

Parameters:
  `odfName` - file path of ODF document to parse
  `xmlName` - XML file name compressed in ODF file
Returns:
  Document.

#### getDocument

    public ODFDocument getDocument(String odfName)

Parses a ODF document and return document interface of "content.xml".

Parameters:
  `odfName` - file path of ODF document to parse
Returns:
  Document.

#### getFileEntries

    public String[] getFileEntries(String odfName)

Returns file name list compressed in ODF document.

Parameters:
  `odfName` - file path of ODF document to parse
Returns:
  file name list.

#### copyFile

    public void copyFile(String odfName,
                String entry,
                String outputFileName)

Extract and copy file compressed in ODF document.

Parameters:
  `odfName` - file path of ODF document to parse
  `entry` - file name compressed in ODF document
  `outputFileName` - file path to copy file extracted from ODF document